# MCamel MongoDB

![Version: 0.3.1](https://img.shields.io/badge/Version-0.3.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.3.1](https://img.shields.io/badge/AppVersion-0.3.1-informational?style=flat-square)

Helm Chart to install MCamel MongoDB

## Requirements

| Repository | Name | Version |
|------------|------|---------|
|  | ui | 0.0.1 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| apiServer.affinity | object | `{}` |  |
| apiServer.image.pullPolicy | string | `"IfNotPresent"` |  |
| apiServer.image.registry | string | `"release.daocloud.io"` |  |
| apiServer.image.repository | string | `"mcamel/mcamel-mongodb-apiserver"` |  |
| apiServer.image.tag | string | `"v0.0.1"` |  |
| apiServer.imagePullSecrets | list | `[]` |  |
| apiServer.livenessProbe.enabled | bool | `true` |  |
| apiServer.livenessProbe.failureThreshold | int | `3` |  |
| apiServer.livenessProbe.initialDelaySeconds | int | `30` |  |
| apiServer.livenessProbe.periodSeconds | int | `30` |  |
| apiServer.livenessProbe.scheme | string | `"HTTP"` |  |
| apiServer.livenessProbe.successThreshold | int | `1` |  |
| apiServer.livenessProbe.timeoutSeconds | int | `5` |  |
| apiServer.nodeSelector | object | `{}` |  |
| apiServer.podAnnotations | object | `{}` |  |
| apiServer.podSecurityContext | object | `{}` |  |
| apiServer.readinessProbe.enabled | bool | `true` |  |
| apiServer.readinessProbe.failureThreshold | int | `3` |  |
| apiServer.readinessProbe.initialDelaySeconds | int | `30` |  |
| apiServer.readinessProbe.periodSeconds | int | `30` |  |
| apiServer.readinessProbe.scheme | string | `"HTTP"` |  |
| apiServer.readinessProbe.successThreshold | int | `1` |  |
| apiServer.readinessProbe.timeoutSeconds | int | `5` |  |
| apiServer.replicaCount | int | `1` |  |
| apiServer.resources | object | `{}` |  |
| apiServer.securityContext | object | `{}` |  |
| apiServer.service.grpcPort | int | `8090` |  |
| apiServer.service.grpcProtocol | string | `"TCP"` |  |
| apiServer.service.grpcTargetPort | int | `8090` |  |
| apiServer.service.httpPort | int | `8080` |  |
| apiServer.service.httpProtocol | string | `"TCP"` |  |
| apiServer.service.httpTargetPort | int | `8080` |  |
| apiServer.service.type | string | `"ClusterIP"` |  |
| apiServer.tolerations | list | `[]` |  |
| exporter_image.registry | string | `"docker.m.daocloud.io"` | Replace to offline registry when deploy in offline environment |
| exporter_image.repository | string | `"percona/mongodb_exporter"` |  |
| exporter_image.tag | string | `"0.38.0"` |  |
| ghippo.createCrd | bool | `true` |  |
| ghippo.version | string | `"v0.1.0"` |  |
| global.imagePullSecrets | list | `[]` |  |
| global.imageRegistry | string | `""` |  |
| global.injectIstioSidecar | bool | `true` |  |
| global.mcamel.imageTag | string | `""` |  |
| insight.grafanaDashboard.enabled | bool | `true` |  |
| insight.grafanaDashboard.metadataLabels | string | `"insight"` |  |
| insight.serviceMonitor.enabled | bool | `true` |  |
| insight.serviceMonitor.metadataLabels | string | `"insight"` |  |
| insight.serviceMonitor.name | string | `"mcamel-mongodb"` |  |
| insight.serviceMonitor.selectorMatchLabels | string | `"mongodb"` |  |
| insight.traceEnable | string | `"false"` |  |
| ui.affinity | object | `{}` |  |
| ui.enabled | bool | `true` |  |
| ui.image.pullPolicy | string | `"IfNotPresent"` |  |
| ui.image.registry | string | `"release.daocloud.io"` |  |
| ui.image.repository | string | `"mcamel/mcamel-mongodb-ui"` |  |
| ui.image.tag | string | `"v0.1.1"` |  |
| ui.imagePullSecrets | list | `[]` |  |
| ui.nodeSelector | object | `{}` |  |
| ui.podAnnotations | object | `{}` |  |
| ui.podLabels | object | `{}` |  |
| ui.replicaCount | int | `1` |  |
| ui.resources | object | `{}` |  |
| ui.service.port | int | `80` |  |
| ui.service.type | string | `"ClusterIP"` |  |
| ui.tolerations | list | `[]` |  |

## 配置仓库
```
helm repo add mcamel-release https://release.daocloud.io/chartrepo/mcamel
helm repo update
```

## 查看版本

> 请使用最新版本。版本查询地址：https://release.daocloud.io/harbor/projects/32/helm-charts/mcamel-mongodb/versions

```
helm search repo mcamel-release/mcamel-mongodb --versions
NAME                            CHART VERSION   APP VERSION     DESCRIPTION               
mcamel-release/mcamel-mongodb     0.3.1           0.3.1           A Helm chart for Kubernetes
```

## 安装
```
helm upgrade --install mcamel-mongodb --create-namespace -n mcamel-system --cleanup-on-fail \
--set global.mcamel.imageTag=v0.3.1 \
--set global.imageRegistry=release.daocloud.io \
mcamel-release/mcamel-mongodb \
--version 0.3.1
```

## 离线安装额外的设置

Values 中标记为 Offline 变量的参数，需要在离线环境中替换。

```
--set mongodb_image.registry=${localRepoAddr}/quay.m.daocloud.io
```

这个参数会传到 apiserver 里面的 deployment 的 ENV 信息里面。apiserver 启动之后，运行时镜像就会被动态替换。

```yaml
env:
- name: Mongodb_IMG
```

参数说明：
```
--set ui.image.tag: 指定前端镜像版本
--set ghippo.createCrd: 注册ghippo路由,默认开启
--set insight.serviceMonitor.enabled: 开启监控,默认开启
--set insight.grafanaDashboard.enabled: 开启监控面板,默认开启

# 全局参数
--set global.mcamel.imageTag: mcamel-mongodb 镜像版本
--set global.imageRegistry: 镜像仓库地址
```

## 卸载
```
helm uninstall mcamel-mongodb -n mcamel-system
```

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)