{{- define "ui.name" -}}
{{- default .Release.Name -}}
{{- end -}}

{{- define "ui.namespace" -}}
{{- default .Release.Namespace -}}
{{- end -}}

{{/*
Return the proper ui image name
*/}}
{{- define "ui.image" -}}
{{ include "common.images.image" (dict "imageRoot" .Values.ui.image "global" .Values.global ) }}
{{- end -}}

{{/*
Return the proper Docker Image Registry Secret Names
*/}}
{{- define "ui.imagePullSecrets" -}}
{{ include "common.images.pullSecrets" (dict "images" (list .Values.ui.image ) "global" .Values.global ) }}
{{- end -}}

{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "ui.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "ui.labels" -}}
{{ include "ui.selectorLabels" . }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "ui.selectorLabels" -}}
app.kubernetes.io/name: ui
app.kubernetes.io/instance: {{ .Release.Name }}
{{- if .Values.global.injectIstioSidecar }}
sidecar.istio.io/inject: "true"
{{- end }}
{{- end }}

{{/*
Create the name of the service account to use
*/}}
{{- define "ui.serviceAccountName" -}}
{{- if .Values.ui.serviceAccount.create }}
{{- default (include "ui.name" .) .Values.ui.serviceAccount.name }}
{{- else }}
{{- default "default" .Values.ui.serviceAccount.name }}
{{- end }}
{{- end }}
