{{- define "mcamel-mongodb.name" -}}
{{- default .Release.Name -}}
{{- end -}}

{{- define "mcamel-mongodb.namespace" -}}
{{- default .Release.Namespace -}}
{{- end -}}

{{/*
Return the proper mcamel-mongodb image name
*/}}
{{- define "mcamel-mongodb.apiserver.image" -}}
{{ include "common.images.image" (dict "imageRoot" .Values.apiServer.image "global" .Values.global "tag" .Values.global.mcamel) }}
{{- end -}}

{{/*
Return the proper Docker Image Registry Secret Names
*/}}
{{- define "mcamel-mongodb.apiserver.imagePullSecrets" -}}
{{ include "common.images.pullSecrets" (dict "images" (list .Values.apiServer.image ) "global" .Values.global ) }}
{{- end -}}

{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "mcamel-mongodb.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "mcamel-mongodb.labels" -}}
{{ include "mcamel-mongodb.selectorLabels" . }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "mcamel-mongodb.selectorLabels" -}}
app.kubernetes.io/name: {{ include "mcamel-mongodb.name" . }}
app.kubernetes.io/instance: {{ .Release.Name }}
{{- if .Values.global.injectIstioSidecar }}
sidecar.istio.io/inject: "true"
{{- end }}
{{- end }}

{{/*
Create the name of the service account to use
*/}}
{{- define "mcamel-mongodb.serviceAccountName" -}}
{{- if .Values.apiServer.serviceAccount.create }}
{{- default (include "mcamel-mongodb.name" .) .Values.apiServer.serviceAccount.name }}
{{- else }}
{{- default "default" .Values.apiServer.serviceAccount.name }}
{{- end }}
{{- end }}
